slepc-3.21.1 2024-04-26
Report Typos and Errors

# EPSGetInterval

Gets the computational interval for spectrum slicing.

### Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSGetInterval(EPS eps,PetscReal* inta,PetscReal* intb)

Not Collective

### Input Parameter

| eps | - eigensolver context

### Output Parameters

| inta | - left end of the interval
| intb | - right end of the interval

### Note

If the interval was not set by the user, then zeros are returned.

### See Also

EPSSetInterval()

### Level

intermediate

### Location

src/eps/interface/epsbasic.c

### Examples

src/eps/tutorials/ex12.c
src/eps/tutorials/ex25.c
Index of all EPS routines
Table of Contents for all manual pages
Index of all manual pages